cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Walkthrough Wednesdays
1035
Views
0
Helpful
10
Replies
Highlighted
Beginner

Upgrading CME Questions

Hi - we have a client with a CME system and we're looking to get them upgraded.

Cisco Unity Express Version 3.1

About Cisco Unified CallManager Express


Operating System: Cisco Internetwork Operating System. Cisco IOS  (tm) C2800NM
Cisco IOS Software: C2800NM-SPSERVICESK9-M
Software Version: 12.4(15)T / CME 4.1(0)
Feature Package: IP|FIREWALL|VOICE|PLUS|SSH|3DES

To begin - they only have a 64MB flash card. We purchased a 128MB card. Do I just TFTP all existing files off the system and copy them over to the new one? Are these hot swappable? This is what I imagined... TFTP the files off, take out the card and put in the 128MB card, TFTP the files back onto the card.

I'm also confused on which files I'll need in order to get them to 7.1. If we're on 4.1, we can jump right to 7.1, correct? Do I need to upgrade the Unity Express version or IOS at the same time? Any licensing changes I need to be aware of?

3 ACCEPTED SOLUTIONS

Accepted Solutions
Highlighted

yes you can follow your method for replacing the flash

Also to upgrade cme to 7 , you should only upgrade the ios to as 12.4(24)T

CME 7 start supporting CUE 3.2.X and above. so CUE must be upgraded

There is CME 7 files that you may need to get from CCO which will contain new fw for ip phones, new gui files for cme on gui and like that

Regards

Haitham

View solution in original post

Highlighted

Hi frank,

you can easily use tftp client and connect to the router through network

use the command "copy flash: tftp" to get the files into your pc

then "copy tftp flash:" after installing the new flash to send the files again to the router

flash is hot swappable

Regards

Haitham

View solution in original post

Highlighted

yes upgrade cue first to 3.2 which is compatible with your cme 4.1 and 7

also right ios upgrade will upgrade your cme version

you: I've got all files copied off the current flash onto the network. I'll put the flash card in and copy them back over. Do I need to format or change any bootstraps once the new flash is in?

yes you should do this

only confirm to remove boot system command if it refer to old ios or configure it for the new ios

Please rate helpful posts

Regards

Haitham

View solution in original post

10 REPLIES 10
Highlighted
Hall of Fame Master

You should update to CME 8.6 that is the final for 2800 routers. It is also good to update Unity Express. Files can be copied with FTP, which is faster.

Note if you have never worked with CME before, better would be that you get someone with expereince to do it, because trying by yourself can cause to mistakes, delays and consequente issues with customer.

Highlighted

Paolo,

Do I need a card reader to get the files copied to the new flash card? And does it need to be formatted with a specific format?

I have not done a CME upgrade but have performed other Unity / CM upgrades. I can't find any helpful documentation on how to actually perform these steps.

Highlighted

Hi,

kinldy find the below links for CME and CUE. you need to check the appropriate IOS which support CME 7.1. you need to check your RAM.

for CUE you need to upgrade to version 3.2 at least.

CME compatability matrix

http://www.cisco.com/en/US/docs/voice_ip_comm/cucme/requirements/guide/33matrix.htm

Cisco Unity Express compatability matrix

http://www.cisco.com/en/US/docs/voice_ip_comm/unity_exp/compatibility/cuecomp.htm

HTH

Anas

please rate if it is helpful

Highlighted

Anas -

Do you know how I can handle the flash card upgrade portion? Do I need to grab all the files off the existing flash card, have some type of card reader, and copy those files over?

Highlighted

for the flash part, you need to grab the current files. if you want to keep the same version of IOS.

you need to install the CME files for version 7.1

HTH

Anas

please rate if it is helpful

Highlighted

yes you can follow your method for replacing the flash

Also to upgrade cme to 7 , you should only upgrade the ios to as 12.4(24)T

CME 7 start supporting CUE 3.2.X and above. so CUE must be upgraded

There is CME 7 files that you may need to get from CCO which will contain new fw for ip phones, new gui files for cme on gui and like that

Regards

Haitham

View solution in original post

Highlighted

Ok - so does this sound right...

1. Copy all files off the existing flash.

2. Copy the files to the new flash using a card reader.

3. Put the new flash card in and make sure it boots on existing version.

4. Copy the upgraded files to the flash / router.

I've read that the flash card needs to be a specific format in order to actually boot. Any idea how to accomplish that?

Highlighted

Hi frank,

you can easily use tftp client and connect to the router through network

use the command "copy flash: tftp" to get the files into your pc

then "copy tftp flash:" after installing the new flash to send the files again to the router

flash is hot swappable

Regards

Haitham

View solution in original post

Highlighted

Thanks Haitham.

So flash is hot swappable even if it's not the compact flash slots on the front of routers that you see on UC models?

I've got all files copied off the current flash onto the network. I'll put the flash card in and copy them back over. Do I need to format or change any bootstraps once the new flash is in?

As for the CME, CUE, and IOS upgrade...

So when we upgrade to 12.4(24)T software package, that'll upgrade the CME version to 7.1, correct? According to the compatibility guide, CUE 3.1 isn't supported with 7.1 so we'll need to upgrade to 3.2. Upgrade to CUE 3.2 first then?

Highlighted

yes upgrade cue first to 3.2 which is compatible with your cme 4.1 and 7

also right ios upgrade will upgrade your cme version

you: I've got all files copied off the current flash onto the network. I'll put the flash card in and copy them back over. Do I need to format or change any bootstraps once the new flash is in?

yes you should do this

only confirm to remove boot system command if it refer to old ios or configure it for the new ios

Please rate helpful posts

Regards

Haitham

View solution in original post

Content for Community-Ad